# Content API for Shopping . orderreturns

## Instance Methods

Retrieves an order return from your Merchant Center account.

Lists order returns in your Merchant Center account.

Retrieves the next page of results.

### Method Details

`get(merchantId, returnId)`

    Retrieves an order return from your Merchant Center account.

    Args:
      merchantId: string, The ID of the account that manages the order. This cannot be a multi-client account. (required)
      returnId: string, Merchant order return ID generated by Google. (required)

    Returns:
      An object of the form:

        {
        "orderId": "A String",
        "returnShipments": [
          {
            "returnMethodType": "A String",
            "state": "A String",
            "shipmentTrackingInfos": [
              {
                "trackingNumber": "A String",
                "carrier": "A String",
              },
            ],
            "shipmentId": "A String",
            "deliveryDate": "A String",
            "creationDate": "A String",
            "shippingDate": "A String",
          },
        ],
        "orderReturnId": "A String",
        "returnItems": [
          {
            "itemId": "A String",
            "product": {
              "targetCountry": "A String", # The CLDR territory code of the target country of the product.
              "shownImage": "A String", # URL to the cached image shown to the user when order was placed.
              "contentLanguage": "A String", # The two-letter ISO 639-1 language code for the item.
              "title": "A String", # The title of the product.
              "mpn": "A String", # Manufacturer Part Number (MPN) of the item.
              "variantAttributes": [ # Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.
                {
                  "dimension": "A String", # The dimension of the variant.
                  "value": "A String", # The value for the dimension.
                },
              ],
              "brand": "A String", # Brand of the item.
              "itemGroupId": "A String", # Shared identifier for all variants of the same product.
              "offerId": "A String", # An identifier of the item.
              "price": { # Price of the item.
                "currency": "A String", # The currency of the price.
                "value": "A String", # The price represented as a number.
              },
              "imageLink": "A String", # URL of an image of the item.
              "gtin": "A String", # Global Trade Item Number (GTIN) of the item.
              "channel": "A String", # The item's channel (online or local).
              "fees": [ # Associated fees at order creation time.
                {
                  "amount": { # Amount of the fee.
                    "currency": "A String", # The currency of the price.
                    "value": "A String", # The price represented as a number.
                  },
                  "name": "A String", # Name of the fee.
                },
              ],
              "id": "A String", # The REST ID of the product.
              "condition": "A String", # Condition or state of the item.
            },
            "returnShipmentIds": [
              "A String",
            ],
            "state": "A String",
            "customerReturnReason": {
              "reasonCode": "A String",
              "description": "A String",
            },
            "merchantReturnReason": {
              "reasonCode": "A String",
              "description": "A String",
            },
          },
        ],
        "merchantOrderId": "A String",
        "creationDate": "A String",
      }

`list(merchantId, orderBy=None, pageToken=None, createdEndDate=None, maxResults=None, createdStartDate=None)`

    Lists order returns in your Merchant Center account.

    Args:
      merchantId: string, The ID of the account that manages the order. This cannot be a multi-client account. (required)
      orderBy: string, Return the results in the specified order.
        Allowed values
          returnCreationTimeAsc -
          returnCreationTimeDesc -
      pageToken: string, The token returned by the previous request.
      createdEndDate: string, Obtains order returns created before this date (inclusively), in ISO 8601 format.
      maxResults: integer, The maximum number of order returns to return in the response, used for paging. The default value is 25 returns per page, and the maximum allowed value is 250 returns per page.
      createdStartDate: string, Obtains order returns created after this date (inclusively), in ISO 8601 format.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # The token for the retrieval of the next page of returns.
        "kind": "content#orderreturnsListResponse", # Identifies what kind of resource this is. Value: the fixed string "content#orderreturnsListResponse".
        "resources": [
          {
            "orderId": "A String",
            "returnShipments": [
              {
                "returnMethodType": "A String",
                "state": "A String",
                "shipmentTrackingInfos": [
                  {
                    "trackingNumber": "A String",
                    "carrier": "A String",
                  },
                ],
                "shipmentId": "A String",
                "deliveryDate": "A String",
                "creationDate": "A String",
                "shippingDate": "A String",
              },
            ],
            "orderReturnId": "A String",
            "returnItems": [
              {
                "itemId": "A String",
                "product": {
                  "targetCountry": "A String", # The CLDR territory code of the target country of the product.
                  "shownImage": "A String", # URL to the cached image shown to the user when order was placed.
                  "contentLanguage": "A String", # The two-letter ISO 639-1 language code for the item.
                  "title": "A String", # The title of the product.
                  "mpn": "A String", # Manufacturer Part Number (MPN) of the item.
                  "variantAttributes": [ # Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.
                    {
                      "dimension": "A String", # The dimension of the variant.
                      "value": "A String", # The value for the dimension.
                    },
                  ],
                  "brand": "A String", # Brand of the item.
                  "itemGroupId": "A String", # Shared identifier for all variants of the same product.
                  "offerId": "A String", # An identifier of the item.
                  "price": { # Price of the item.
                    "currency": "A String", # The currency of the price.
                    "value": "A String", # The price represented as a number.
                  },
                  "imageLink": "A String", # URL of an image of the item.
                  "gtin": "A String", # Global Trade Item Number (GTIN) of the item.
                  "channel": "A String", # The item's channel (online or local).
                  "fees": [ # Associated fees at order creation time.
                    {
                      "amount": { # Amount of the fee.
                        "currency": "A String", # The currency of the price.
                        "value": "A String", # The price represented as a number.
                      },
                      "name": "A String", # Name of the fee.
                    },
                  ],
                  "id": "A String", # The REST ID of the product.
                  "condition": "A String", # Condition or state of the item.
                },
                "returnShipmentIds": [
                  "A String",
                ],
                "state": "A String",
                "customerReturnReason": {
                  "reasonCode": "A String",
                  "description": "A String",
                },
                "merchantReturnReason": {
                  "reasonCode": "A String",
                  "description": "A String",
                },
              },
            ],
            "merchantOrderId": "A String",
            "creationDate": "A String",
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.